Package org.springframework.beans.factory.config

# Enum Class YamlProcessor.MatchStatus

java.lang.Object
java.lang.Enum<YamlProcessor.MatchStatus>
org.springframework.beans.factory.config.YamlProcessor.MatchStatus

All Implemented Interfaces:
  `Serializable`, `Comparable<YamlProcessor.MatchStatus>`, `Constable`

Enclosing class:
  YamlProcessor

public static enum YamlProcessor.MatchStatus extends Enum<YamlProcessor.MatchStatus>
Status returned from `YamlProcessor.DocumentMatcher.matches(java.util.Properties)`.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ABSTAIN`
The matcher should not be considered.
`FOUND`
A match was found.
`NOT_FOUND`
No match was found.

## Method Summary

Modifier and Type
Method
Description
`static YamlProcessor.MatchStatus`
`getMostSpecific(YamlProcessor.MatchStatus a, YamlProcessor.MatchStatus b)`
Compare two `YamlProcessor.MatchStatus` items, returning the most specific status.
`static YamlProcessor.MatchStatus`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static YamlProcessor.MatchStatus[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### FOUND

public static final YamlProcessor.MatchStatus FOUND
A match was found.

### NOT_FOUND

public static final YamlProcessor.MatchStatus NOT_FOUND
No match was found.

### ABSTAIN

public static final YamlProcessor.MatchStatus ABSTAIN
The matcher should not be considered.

## Method Details

### values

public static YamlProcessor.MatchStatus[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static YamlProcessor.MatchStatus valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getMostSpecific

public static YamlProcessor.MatchStatus getMostSpecific(YamlProcessor.MatchStatus a, YamlProcessor.MatchStatus b)
Compare two `YamlProcessor.MatchStatus` items, returning the most specific status.